%define	upstream_name    Digest-HMAC
%define	upstream_version 1.01

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 15
Summary:	Keyed-Hashing for Message Authentication
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Requires:	perl perl-Digest-SHA1
Provides:	perl-HMAC

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Digest


%changelog
* Wed Sep 16 2009 Texstar <texstar at gmail.com> 
- fix package

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


